Creates a new retrospective step from provided data
curl --request POST \
--url https://api.rootly.com/v1/retrospective_processes/{retrospective_process_id}/retrospective_steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_steps",
"attributes": {
"title": "<string>",
"description": "<string>",
"due_after_days": 123,
"incident_role_id": "<string>",
"position": 123,
"skippable": true
}
}
}
'{
"data": {
"id": "<string>",
"type": "retrospective_steps",
"attributes": {
"retrospective_process_id": "<string>",
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"incident_role_id": "<string>",
"due_after_days": 123,
"position": 123,
"skippable": true
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
retrospective_step created
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/retrospective_processes/{retrospective_process_id}/retrospective_steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_steps",
"attributes": {
"title": "<string>",
"description": "<string>",
"due_after_days": 123,
"incident_role_id": "<string>",
"position": 123,
"skippable": true
}
}
}
'{
"data": {
"id": "<string>",
"type": "retrospective_steps",
"attributes": {
"retrospective_process_id": "<string>",
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"incident_role_id": "<string>",
"due_after_days": 123,
"position": 123,
"skippable": true
}
}
}